$(function () {
    // 棰勭害
    $('.yuyue-show').on('click', function() {
        $(".orderList").show();
        $('html,body').scrollTop({toT:0})
    });
    $('.orderList').find('.oClose').on('click', function() {
        $(".orderList").hide();
        $('html,body').scrollTop({toT:$(".yuyue-show").offset().top-230})
    });
    $('.orderList').find('.oKnow').on('click', function() {
        $(".orderList").hide();
        $('html,body').scrollTop({toT:$(".yuyue-show").offset().top-230})
    });
// 姝ｅ垯锛氬垽鏂偖绠�
    function isMailAvailable(tel) {
        var myreg=/\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*/;
        if (!myreg.test(tel)) {
            return false;
        } else {
            return true;
        }
    }
// 鍒ゆ柇閭鏄惁姝ｇ‘
    function telResult(telText){
        var telText = $('.tel').val(),result = isMailAvailable(telText);//鍒ゆ柇鎵嬫満鏄惁姝ｇ‘
        if(result===false){
            $('.tel').css({'color':'#fe684d','border-color':'#fe684d'});
            $('.msg').text("璇峰～鍐欐纭殑閭鍦板潃")
            $('.msg').css({'content':'"璇峰～鍐欐纭殑閭"','color': '#fe684d','font-size':'14px','text-align': 'left','display': 'block','width':'392px','margin': '0 auto'});
            return false;
        }else{
            $('.tel').css({'color':'#333','border-color':'#c2c2c2'});
            $('.msg').text("")
            return true;
        }
    }

    $(".oBtn").click(function () {
        var telText = $('.tel').val();
        let game_id = $("input[name='game_id']").val().trim();
        let game_title =$("input[name='game_title']").val().trim();
        let game_modelid =$("input[name='game_modelid']").val().trim();
        let game_url =$("input[name='game_url']").val().trim();

        if (game_id == ''){
            alert('娓告垙id涓嶈兘涓虹┖');return false;
        }

        if (!telResult(telText)) return false;

        $.ajax({
            url:"/index.php?m=content&c=index&a=post_subscribe",
            type: 'post',
            data:{
                'mail':telText,
                'id':game_id,
                'title':game_title,
                'modelid':game_modelid,
                'url':game_url,
            },
            success:function (res) {
                let result =  JSON.parse(res); //鐢盝SON瀛楃涓茶浆鎹负JSON瀵硅薄
                if (result.code==0){
                    $('.msg').text(result.msg)
                    $('.msg').css({'content':'"+result.msg+"','color': '#fe684d','font-size':'.18rem','text-align': 'left','display': 'block','width':'5.6rem','margin': '0 auto'});
                    return false;
                }else if(result.code== 200){
                    //棰勭害鎴愬姛
                    $(".oOrder").hide();
                    $(".oWin").show();
                }else if(result.code== 300){
                    //宸查绾�
                    $(".oOrder").hide();
                    $(".oAgin").show();

                }else if(result.code== 400){
                    //棰勭害澶辫触
                    $(".oOrder").hide();
                    $(".oLose").show();
                }
            }
        })
    })
    $('body').delegate('.tel','blur',function(){
        telResult();
    });
    //鎺у埗楂樺害
    var h = $(window).height(); //灞忓箷楂樺害
    //鐐瑰嚮鏄剧ず闅愯棌
    var x = true;
    $(".burger").css("display", "none");
    $("#top>div>span").click(function () {
        var Htop = $("body").scrollTop();
        if (x) {
            $(".burger").show();
            document.body.scrollTop = Htop;
            $("#content").css({"height": h - 50 + "px", "overflow": "hidden"});//浣跨綉椤典笉鍙粴鍔�
            x = false;
        } else {
            $(".burger").hide();
            document.body.scrollTop = Htop;
            $("#content").css({"height": "auto", "overflow": "auto"});//浣跨綉椤典笉鍙粴鍔�
            x = true;
        }
    })
    $(".burger .back button").click(function () {
        var Htop = $("body").scrollTop();
        $("#top>div>span").css("background-position", "center bottom");
        $(".burger").hide();
        document.body.scrollTop = Htop;
        $('#BOX').css("overflow", "auto");//浣跨綉椤垫仮澶嶆粴鍔�
        x = true;
    })
    //鏌ョ湅鏇村
    $(".zhuaninfo .morebtn").on("click", function() {
        var _this = $(this);
        showMore(_this.siblings(".zhuaninfo p"), 45, _this, "");
    });

    $(".gamejs .morebtn").on("click", function() {
        var _this = $(this);
        _this.siblings(".xiangao").css("height", "auto");
        _this.hide();
        $('.lessbtn').show();
    });
    $(".gamejs .lessbtn").on("click", function() {
        var _this = $(this);
        _this.siblings(".xiangao").css("height", "330px");
        _this.hide();
        $('.morebtn').show();
    });
    //鏇村鍒嗙被
    let n=$(".yxk-cont1 li").length;
    let a=true;
    let y=null;
    for(let i=7;i<n-1;i++){
        $(".yxk-cont1 li").eq(i).css("display","none");
    }
    $(".yxk-cont1 li span").click(function(){
        if(a){
            for(let i=7;i<n-1;i++){
                $(".yxk-cont1 li").eq(i).css("display","block");
            }
            $(".yxk-cont1 li span").text("鏀惰捣閮ㄥ垎");
            a=false;
        }else{
            for(let i=7;i<n-1;i++){
                $(".yxk-cont1 li").eq(i).css("display","none");
            }
            $(".yxk-cont1 li span").text("灞曞紑鏇村");
            a=true;
        }
    });


    if(ismobile(1)==0){
        $('.ios').show();
        $('.android').hide();
    }
})

function weihu() {
    $("#searchBox").submit();
}

function showMore(obj, oheight, _this, obj2) {
    if (obj.height() == oheight) {
        obj.css("height", "auto");
        if (obj2 != "") {
            obj2.html("鏀惰捣")
        }
        _this.css("background-position","-24px -70px")
    } else {
        obj.css("height", oheight);
        if (obj2 != "") {
            obj2.html("鏌ョ湅鏇村")
        }
        _this.css("background-position","-19px -26px")
    }
}

var filterImage = $('#info img').attr('src');
imageView('#yxjt_list',filterImage)
imageView('.xiangao',filterImage)
function imageView(el){
    $(el).each(function(){
        var $cont = $(this);
        var imgArr = [];
        $cont.find('img').each(function(i){
            var imgsrc = $(this).attr('src')
            if(imgsrc != filterImage){
                imgArr.push(imgsrc);
            }
        })
        $cont.on('click', 'img', function(){
            $('footer').before('<script src="/statics/v2/js/photo-browser.js"></script><script src="/statics/v2/js/TouchSlide.1.1.js"></script>');
            var index = $(this).index();
            var imgsrc = $(this).attr('src');
            var index = getIndexBySrc(imgsrc);
            window.photoBrowser.init({
                lazyLoading: true,
                lazyLoadingInPrevNext: true,
                initialSlide: index || 0,
                maxZoom: 1.8,
                photos: [
                    { url: imgArr.join(',') }
                ]
            }).open();
        })
        function getIndexBySrc(imgsrc){
            var index = 0;
            $.each(imgArr, function(i, v){
                if(imgsrc == v){
                    index = i;
                }
            })
            return index;
        }
    })
}




$(function(){
    let isbool=true;
    $(window).scroll(function() {
        let scrollTop = $(this).scrollTop();
        let scrollHeight = $(document).height();
        let windowHeight = $(this).height();
        let _this = $('#filterhtml');
		 if(_this.length==0) return false;
        if (scrollTop + windowHeight + 200 >= scrollHeight && isbool) {
            isbool = false;
            let type = _this.attr('data-type');
            let catid = _this.attr('data-catid');
            let posid = _this.attr('data-posid');
            let page = _this.attr('page');
            let data,url;
            if (type == 'news')
            {
                data = {'catid': catid, 'page': page, 'posid': posid};
                url = '/index.php?m=mobile&c=index&a=ajax_list_news';
            }
            else {
                let lbfl = _this.attr('data-lbfl');
                let sxfl = _this.attr('data-sxfl');
                data = {'catid':catid,'page':page,'lbfl':lbfl,'posid':posid,'sxfl':sxfl};
                url = "/index.php?m=mobile&c=index&a=clickGetMore";
            }
            setTimeout(function () {
                $.ajax({
                    type: "GET",
                    url: url,
                    dataType: "json",
                    data:data,
                    contentType: "application/json",
                    success: function(data){
                        console.log(data);
                        if(data.code==1){
                            let html = "";
                            if (type == 'news') {
                                $.each(data.data, function (index, r) {
                                    html += '' +
                                        '<li>\n' +
                                        '    <a href="'+r.url+'" class="C2-explain" >\n' +
                                        '        <div><img src="'+r.thumb+'" alt="'+r.title+'"></div>\n' +
                                        '    </a>\n' +
                                        '    <div class="sub">\n' +
                                        '        <div><a href="'+r.url+'">'+r.title+'</a>\n' +
                                        '            <dl>\n' +
                                        '                <dd>'+r.updatetime+'</dd>\n' +
                                        '            </dl>\n' +
                                        '        </div>\n' +
                                        '    </div>\n' +
                                        '</li>'
                                });
                            }
                            else {
                                $.each(data.data, function (index, r) {
                                    html += '<li>' +
                                        '<a href="'+r.url+'" class="C2-explain">' +
                                        '<div><img src="'+r.thumb+'" alt=""></div>' +
                                        '</a>' +
                                        '<a href="'+r.url+'" class="l_btn2">鏌ョ湅</a>' +
                                        '<div class="sub">' +
                                        '<div><a href="'+r.url+'">'+r.title+'</a>' +
                                        '<dl>' +
                                        '<dt>'+r.typename+'</dt>' +
                                        '<dd>'+r.filesize+'M</dd>' +
                                        '</dl>' +
                                        '</div>' +
                                        '</div>' +
                                        '</li>';
                                });
                            }

                            page++;
                            $("#ul_list").append(html);
                            _this.attr("page",page);
                            isbool = true;
                        }else{
                            _this.html("娌℃湁鏇村鏁版嵁浜�").fadeOut(2000,function () {
                                _this.hide();
                            });
                        }
                    },
                    error: function(){
                        isbool = false;
                        _this.html("娌℃湁鏇村鏁版嵁浜�").fadeOut(2000,function () {
                            _this.hide();
                        });

                    },
                });
            }, 1000);
        }
    })
});

/**
 * [isMobile 鍒ゆ柇骞冲彴]
 * @param  test:    0:iPhone    1:Android
 */

function ismobile(test) {
    var u = navigator.userAgent, app = navigator.appVersion;
    if (/AppleWebKit.*Mobile/i.test(navigator.userAgent) || (/MIDP|SymbianOS|NOKIA|SAMSUNG|LG|NEC|TCL|Alcatel|BIRD|DBTEL|Dopod|PHILIPS|HAIER|LENOVO|MOT-|Nokia|SonyEricsson|SIE-|Amoi|ZTE/.test(navigator.userAgent))) {
        if (window.location.href.indexOf("?mobile") < 0) {
            try {
                if (/iPhone|mac|iPod|iPad/i.test(navigator.userAgent)) {
                    return '0';
                } else {
                    return '1';
                }
            } catch (e) {
            }
        }
    } else if (u.indexOf('iPad') > -1) {
        return '0';
    } else {
        return '1';
    }
};

//涓撻鑾峰彇
function get_special_more(){
    var type= $(".link-more").attr('type');
    var page= $(".link-more").attr('data');
    $.ajax({
        url: "/index.php?m=special&c=index&a=special_more",
        type: "GET",
        dataType: "json",
        data: {'type':type,'page':page,'pagesize':10},
        success: function (data){
            if (data.status==1) {
                var html="";
                $(data.data).each(function(index,r){
                    html +='<li><a href="'+r['url']+'"><img src="'+r['thumb']+'"><p>'+r['title']+'</p></a></li>';
                });
                $(".mod_hotzhuan ul").append(html);
                page++;
                $(".link-more").attr('data',page);
            }else{
                $(".link-xz-more").removeAttr("onclick");
                $(".link-more").html(data.msg);
            };

        }
    })
}
//瀵瑰簲涓撻鑾峰彇鏇村app
function get_special_xzmore(){
    var typeid= $(".link-xz-more").attr('typeid');
    var page= $(".link-xz-more").attr('page');
    var specialid= $(".link-xz-more").attr('specialid');
    $.ajax({
        url: "/index.php?m=special&c=index&a=special_data_more",
        type: "GET",
        dataType: "json",
        data: {'typeid':typeid,'page':page,'specialid':specialid},
        success: function (data){
            if (data.status==1) {
                var html="";
                $(data.data).each(function(index,r){
                    html +='<li><a href="'+r['url']+'" title="'+r['title']+'"><img src="'+r['thumb']+'" alt="'+r['title']+'"></a><div><p class="title"><a href="'+r['url']+'" class="overstep">'+r['title']+'</a></p><p class="star"><span style="width: '+r['stars']+'%"></span></p></div><a href="'+r['url']+'" class="down">鏌ョ湅</a></li>';
                });
                $(".ruan_bd ul").append(html);
                page++;
                $(".link-xz-more").attr('page',page);
            }else{
                $(".link-xz-more").removeAttr("onclick");
                $(".link-xz-more").html(data.msg);
            };

        }
    })
}



$(function(){
    $(".news-no-more").hide();
    $(".loading-more").hide();
    var isbool=true;
    $(window).scroll(function(){
        var scrollTop = $(this).scrollTop();
        var scrollHeight = $(document).height();
        var windowHeight = $(this).height();
        if(scrollTop + windowHeight+200 >= scrollHeight && isbool){
            isbool = false;
            var lispage = $(".more_list_page");
            var page = lispage.attr('page');
            var catid = lispage.attr('catid');
            var non = lispage.attr('non');
            var sx = lispage.attr('data-sx') || 0;
            var type = lispage.attr('data-type') || 'list';
            var q = lispage.attr('data-q') || '';
            if(!page && !catid) return false;
            if(non==1) return false;
            var url = '/index.php?m=content&c=index&a=get_more';
            if(type == 'search'){
                url = '/index.php?m=search&c=index&a=init&q='+q;
            }
            var dt = {'catid':catid,'page':page,sx:sx,'pagesize':10};
            $(".loading-more").show();
            setTimeout(function(){
                $.ajax({
                    url: url,
                    type: 'GET',
                    dataType: 'jsonp',
                    jsonp:'jsonpcallback',
                    data: dt,
                    success:function(data){
                        var html=ids='';
                        if(data.status==1){
                            $.each(data.data, function(k, r) {
                                html += ` <li>
                                            <a href="`+r.url+`" class="C2-explain">
                                            <div><img src="`+r.thumb+`" alt="`+r.title+`"></div>
                                            </a> <a href="`+r.url+`" class="l_btn2">鏌ョ湅</a>
                                            <div class="sub">
                                              <div> <a href="`+r.url+`">`+r.title+`</a>
                                                <dl>
                                                  <dt>`+r.catname+`</dt>
                                                  <dd>`+r.filesize+`</dd>
                                                </dl>
                                              </div>
                                            </div>
                                          </li>`
                            });
                            page++;
                            $(".more_list_page").attr('page',page);
                            $(".list-bd").append(html);
                            isbool = true;
                            $(".loading-more").hide();
                        }else{
                            $(".loading-more").hide();
                            $(".news-no-more").show();
                            setTimeout(function(){
                                $(".more_list_page").fadeOut("slow");
                            },2000);
                            $(".more_list_page").attr('non',1);
                        }
                    }
                });
            },500);
        }
    });
})
//20190807
$(function(){
    // let contentid = $('.nodown').attr('data-id');
    // if (!contentid) return false;
    // $.getJSON('/api.php?op=fixdown&id=' + contentid + '&modelid=2', '', function (data) {
    //     if (data.status == 1 && data.url != '') {
    //         let a = '<a href="' + data.url + '" class="down" data-id="' + contentid + '" >涓嬭浇</a>';
    //         $('.download-area').html(a);
    //     }else{
    //         if(ismobile()==1 && $('.download-area').length>0){
    //             let azurl='http://ucdl.25pp.com/fs01/union_pack/Wandoujia_275191_xp2_hl.apk';
    //             let antxt = '璞岃眴鑽氬姪鎵�';
    //             let catid=$('.down').attr('data-catid');
    //             let lbfl=$('.down').attr('data-lbfl');
    //             let href = $('.download-area a').attr('href');
    //             let downtxt = '鏆傛棤涓嬭浇';
    //
    //             if(lbfl>62){//杞欢
    //                 antxt = '涔濇父app';
    //                 azurl = 'http://downum.game.uc.cn/download/package/2416-100660542';//涔濇父app
    //             }else{
    //                 azurl='http://ucdl.25pp.com/fs01/union_pack/Wandoujia_275191_xp2_hl.apk';
    //                 antxt = '璞岃眴鑽氬姪鎵�';
    //             }
    //
    //
    //             if(href=='' || href==undefined)  {
    //                 href = 'javascript:void(0);';
    //             }
    //
    //             $('.download-area').html(`
    //               <div style="margin-top:10px;">
    //                 <div class="gsxz_box">
    //                     <div class="ptxzbox">
    //                         <p class="pgx" data-value="2">
    //                            <span id="wdjzs" class="hot"></span><em>浣跨敤`+antxt+`</em>
    //                         </p>
    //                         <p class="pxz xz">
    //                           <a id="url" class="gs" href="`+azurl+`">楂橀€熶笅杞�</a>
    //                           <a id="url" class="pt" href="`+href+`" style="background-color: rgb(198, 198, 198);">`+downtxt+`</a>
    //                         </p>
    //                     </div>
    //                     <div id="ptips" class="ptips"><p><span></span>浣跨敤<a href="`+azurl+`">`+antxt+`</a>涓嬭浇锛屼笅杞芥洿瀹夊叏</p></div>
    //                 </div>
    //               </div>
    //             `);
    //             $(".pgx").live('click',function(){
    //                 let vv = $(this).attr('data-value');
    //                 if(vv==2){
    //                     $(".pgx span").removeClass("hot");
    //                     $(".pxz").addClass("hot");
    //                     $(this).attr('data-value',1);
    //                 }else{
    //                     $(".pgx span").addClass("hot");
    //                     $(".pxz").removeClass("hot");
    //                     $(this).attr('data-value',2);
    //                 }
    //             })
    //         }
    //    }
    // });

})




//----------------------------------------------------//
tyMap = window.tyMap || {};
function tyViaJs(locationId) {
    var _f = undefined;
    var _fconv = 'tyMap[\"' + locationId + '\"]';
    try {
        _f = eval(_fconv);
        if (_f != undefined) {
            _f()
        }
    } catch (e) {
    }
}

function tyLoader(closetag) {
    $("#12").attr('class', 'bottom_footer');
    var tyTest = null,
        tyTestPos = document.getElementsByTagName("span");
    for (var i = 0; i < tyTestPos.length; i++) {
        if (tyTestPos[i].className == "tyTestPos") {
            tyTest = tyTestPos[i];
            break
        }
    }

    if (tyTest == null) return;
    if (!closetag) {
        document.write("<span id=tyTestPos_" + tyTest.id + " style=display:none>");
        tyViaJs(tyTest.id);
        return
    }

    document.write("</span>");
    var real = document.getElementById("tyTestPos_" + tyTest.id);
    for (var i = 0; i < real.childNodes.length; i++) {
        var node = real.childNodes[i];
        if (node.tagName == "SCRIPT" && /closetag/.test(node.className)) continue;
        tyTest.parentNode.insertBefore(node, tyTest);
        i--
    }
    tyTest.parentNode.removeChild(tyTest);
    real.parentNode.removeChild(real)
}

document.writeln("<script>");
document.writeln("var _hmt = _hmt || [];");
document.writeln("(function() {");
document.writeln("  var hm = document.createElement(\'script\');");
document.writeln("  hm.src = \'https://hm.baidu.com/hm.js?4156009f0d21588bb49642dbabe24611\';");
document.writeln("  var s = document.getElementsByTagName(\'script\')[0]; ");
document.writeln("  s.parentNode.insertBefore(hm, s);");
document.writeln("})();");
document.writeln("</script>");